#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n ,q ;
    cin >> n >> q ;
    int gl[n] ;
    int med ;
    for(int i=0 ; i<n ; i++){
        cin >> gl[i] ;
    }
    sort(gl,gl+n) ;
    for(int i=0 ; i<q ; i++){
        cin >> med ;
        int a=upper_bound(gl,gl+n,med)-gl ;
        int a1=lower_bound(gl,gl+n,med)-gl ;
        int m=a1 ;
        int v=n-a ;
        int i1=a-a1 ;
        if(m>v){
            cout << max(m-v-i1,0) << endl ;
        }
        else{
            cout <<max(m-v-i1+1,0) << endl ;
        }


    }
    return 0;
}